/* This Source Code Form is subject to the terms of the Mozilla Public
* License, v. 2.0. If a copy of the MPL was not distributed with this
* file, You can obtain one at https://mozilla.org/MPL/2.0/.
*/
/** @file */
/** @copyright 2021 MPLv2 */
#include <Whisper/Payload.hpp>

template<> Whisper::PayloadType Whisper::GetType<std::uint8_t>(){return Whisper::PayloadType::UINT8;}
template<> Whisper::PayloadType Whisper::GetType<std::uint16_t>(){return Whisper::PayloadType::UINT16;}
template<> Whisper::PayloadType Whisper::GetType<std::uint32_t>(){return Whisper::PayloadType::UINT32;}
template<> Whisper::PayloadType Whisper::GetType<std::uint64_t>(){return Whisper::PayloadType::UINT64;}
template<> Whisper::PayloadType Whisper::GetType<std::int8_t>(){return Whisper::PayloadType::INT8;}
template<> Whisper::PayloadType Whisper::GetType<std::int16_t>(){return Whisper::PayloadType::INT16;}
template<> Whisper::PayloadType Whisper::GetType<std::int32_t>(){return Whisper::PayloadType::INT32;}
template<> Whisper::PayloadType Whisper::GetType<std::int64_t>(){return Whisper::PayloadType::INT64;}
template<> Whisper::PayloadType Whisper::GetType<float>(){return Whisper::PayloadType::FLOAT;}
template<> Whisper::PayloadType Whisper::GetType<double>(){return Whisper::PayloadType::DOUBLE;}
template<> Whisper::PayloadType Whisper::GetType<std::string>(){return Whisper::PayloadType::STRING;}
template<> Whisper::PayloadType Whisper::GetType<Tree::BaseNode>(){return Whisper::PayloadType::PAYLOAD;}
